Bug 1697370 - [v242~rc3-1.fc31] systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Summary: [v242~rc3-1.fc31] systemd-udevd.service: Failed to set up mount namespacing: ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1697290 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 12:32 UTC by Jan Pokorný [poki]
Modified: 2019-08-05 20:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 20:11:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jan Pokorný [poki] 2019-04-08 12:32:16 UTC
This is more a heads-up for now since I didn't get to investigate
this properly, but have suffered a bit of a pain earlier today
after update of systemd:

# dnf history info -4 | grep systemd
    Upgrade   systemd-242~rc3-1.fc31.x86_64                            @rawhide
    Upgraded  systemd-241-4.gitcbf14c9.fc31.x86_64                     @@System
    Upgrade   systemd-container-242~rc3-1.fc31.x86_64                  @rawhide
    Upgraded  systemd-container-241-4.gitcbf14c9.fc31.x86_64           @@System
    Upgrade   systemd-devel-242~rc3-1.fc31.x86_64                      @rawhide
    Upgraded  systemd-devel-241-4.gitcbf14c9.fc31.x86_64               @@System
    Upgrade   systemd-libs-242~rc3-1.fc31.x86_64                       @rawhide
    Upgraded  systemd-libs-241-4.gitcbf14c9.fc31.x86_64                @@System
    Upgrade   systemd-pam-242~rc3-1.fc31.x86_64                        @rawhide
    Upgraded  systemd-pam-241-4.gitcbf14c9.fc31.x86_64                 @@System
    Upgrade   systemd-rpm-macros-242~rc3-1.fc31.noarch                 @rawhide
    Upgraded  systemd-rpm-macros-241-4.gitcbf14c9.fc31.noarch          @@System
    Upgrade   systemd-udev-242~rc3-1.fc31.x86_64                       @rawhide
    Upgraded  systemd-udev-241-4.gitcbf14c9.fc31.x86_64                @@System
   2 warning: %triggerin(systemd-udev-242~rc3-1.fc31.x86_64) scriptlet failed, exit status 1

# journalctl -b-7 --no-hostname -g udev
Apr 08 13:08:39 systemd[1]: Listening on udev Control Socket.
Apr 08 13:08:39 systemd[1]: Condition check resulted in dracut pre-udev hook being skipped.
Apr 08 13:08:39 systemd[1]: Starting udev Kernel Device Manager...
Apr 08 13:08:39 systemd[1]: Started udev Kernel Device Manager.
Apr 08 13:08:39 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:39 kernel: audit: type=1130 audit(1554721719.291:4): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:39 systemd[1]: Starting udev Coldplug all Devices...
Apr 08 13:08:39 kernel: udevadm (438) used greatest stack depth: 12936 bytes left
Apr 08 13:08:39 kernel: audit: type=1130 audit(1554721719.291:4): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:39 systemd[1]: Starting udev Coldplug all Devices...
Apr 08 13:08:39 kernel: udevadm (438) used greatest stack depth: 12936 bytes left
Apr 08 13:08:39 systemd[1]: Started udev Coldplug all Devices.
Apr 08 13:08:39 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udev-trigger comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:39 kernel: audit: type=1130 audit(1554721719.584:5): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udev-trigger comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=succe>
Apr 08 13:08:43 kernel: systemd-udevd (437) used greatest stack depth: 11976 bytes left
Apr 08 13:08:43 kernel: systemd-udevd (461) used greatest stack depth: 10744 bytes left
Apr 08 13:08:49 systemd[1]: Stopping udev Kernel Device Manager...
Apr 08 13:08:49 systemd[1]: systemd-udev-trigger.service: Succeeded.
Apr 08 13:08:49 systemd[1]: Stopped udev Coldplug all Devices.
Apr 08 13:08:49 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udev-trigger comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:49 systemd[1]: systemd-udevd.service: Succeeded.
Apr 08 13:08:49 systemd[1]: Stopped udev Kernel Device Manager.
Apr 08 13:08:49 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:49 systemd[1]: systemd-udevd-kernel.socket: Succeeded.
Apr 08 13:08:49 systemd[1]: Closed udev Kernel Socket.
Apr 08 13:08:49 systemd[1]: systemd-udevd-control.socket: Succeeded.
Apr 08 13:08:49 systemd[1]: Closed udev Control Socket.
Apr 08 13:08:49 systemd[1]: Starting Cleanup udevd DB...
Apr 08 13:08:49 systemd[1]: initrd-udevadm-cleanup-db.service: Succeeded.
Apr 08 13:08:49 systemd[1]: Started Cleanup udevd DB.
Apr 08 13:08:49 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=initrd-udevadm-cleanup-db comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:49 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=initrd-udevadm-cleanup-db comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 systemd[850]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:08:51 systemd[851]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:08:51 systemd[852]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:08:51 systemd[853]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:08:51 systemd[854]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:08:51 audit[850]: AVC avc:  denied  { mounton } for  pid=850 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=19582 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysct>
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[851]: AVC avc:  denied  { mounton } for  pid=851 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=19582 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysct>
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[852]: AVC avc:  denied  { mounton } for  pid=852 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=19582 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysct>
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[853]: AVC avc:  denied  { mounton } for  pid=853 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=19582 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysct>
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[854]: AVC avc:  denied  { mounton } for  pid=854 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=19582 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysct>
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 systemd[850]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:08:51 systemd[851]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:08:51 systemd[852]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:08:51 systemd[853]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:08:51 systemd[854]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udev-trigger comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udev-settle comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:08:51 systemd[1]: Started udev Coldplug all Devices.
Apr 08 13:08:51 systemd[1]: Starting udev Wait for Complete Device Initialization...
Apr 08 13:08:51 systemd[1]: Started udev Wait for Complete Device Initialization.
Apr 08 13:09:01 lvm[836]:   WARNING: Device /dev/sda not initialized in udev database even after waiting 10000000 microseconds.
Apr 08 13:09:11 lvm[836]:   WARNING: Device /dev/sda1 not initialized in udev database even after waiting 10000000 microseconds.
Apr 08 13:09:21 lvm[836]:   WARNING: Device /dev/sda2 not initialized in udev database even after waiting 10000000 microseconds.
Apr 08 13:09:32 lvm[836]:   WARNING: Device /dev/sda1 not initialized in udev database even after waiting 10000000 microseconds.
Apr 08 13:09:42 lvm[836]:   WARNING: Device /dev/sda2 not initialized in udev database even after waiting 10000000 microseconds.

Perhaps the problem was in 
>   2 warning: %triggerin(systemd-udev-242~rc3-1.fc31.x86_64) scriptlet failed, exit status 1

Sadly, the only additional clue was in /var/log/dnf.rpm.log
> 2019-04-08T11:03:54Z ERROR Error in <unknown> scriptlet in rpm package systemd-udev

And I can actually see something related from about that time in the journal:

# journalctl -b-10 --no-hostname -g udev
Apr 08 13:02:50 systemd[1]: Stopping udev Kernel Device Manager...
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Succeeded.
Apr 08 13:02:50 systemd[1]: Stopped udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 systemd[1]: Starting udev Kernel Device Manager...
Apr 08 13:02:50 audit[18316]: AVC avc:  denied  { mounton } for  pid=18316 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=46443 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:s>
Apr 08 13:02:50 systemd[18316]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:02:50 systemd[18316]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Main process exited, code=exited, status=226/NAMESPACE
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Failed with result 'exit-code'.
Apr 08 13:02:50 systemd[1]: Failed to start udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Service has no hold-off time (RestartSec=0), scheduling restart.
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Scheduled restart job, restart counter is at 1.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 systemd[1]: Stopped udev Kernel Device Manager.
Apr 08 13:02:50 systemd[1]: Starting udev Kernel Device Manager...
Apr 08 13:02:50 audit[18318]: AVC avc:  denied  { mounton } for  pid=18318 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=46443 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:s>
Apr 08 13:02:50 systemd[18318]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:02:50 systemd[18318]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Main process exited, code=exited, status=226/NAMESPACE
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Failed with result 'exit-code'.
Apr 08 13:02:50 systemd[1]: Failed to start udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Service has no hold-off time (RestartSec=0), scheduling restart.
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Scheduled restart job, restart counter is at 2.
Apr 08 13:02:50 systemd[1]: Stopped udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 systemd[1]: Starting udev Kernel Device Manager...
Apr 08 13:02:50 audit[18319]: AVC avc:  denied  { mounton } for  pid=18319 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=46443 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:s>
Apr 08 13:02:50 systemd[18319]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:02:50 systemd[18319]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Main process exited, code=exited, status=226/NAMESPACE
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Failed with result 'exit-code'.
Apr 08 13:02:50 systemd[1]: Failed to start udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Service has no hold-off time (RestartSec=0), scheduling restart.
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Scheduled restart job, restart counter is at 3.
Apr 08 13:02:50 systemd[1]: Stopped udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 08 13:02:50 systemd[1]: Starting udev Kernel Device Manager...
Apr 08 13:02:50 audit[18320]: AVC avc:  denied  { mounton } for  pid=18320 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=46443 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:s>
Apr 08 13:02:50 systemd[18320]: systemd-udevd.service: Failed to set up mount namespacing: Permission denied
Apr 08 13:02:50 systemd[18320]: systemd-udevd.service: Failed at step NAMESPACE spawning /usr/lib/systemd/systemd-udevd: Permission denied
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Main process exited, code=exited, status=226/NAMESPACE
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Failed with result 'exit-code'.
Apr 08 13:02:50 systemd[1]: Failed to start udev Kernel Device Manager.
Apr 08 13:02:50 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Service has no hold-off time (RestartSec=0), scheduling restart.
Apr 08 13:02:50 systemd[1]: systemd-udevd.service: Scheduled restart job, restart counter is at 4.
Apr 08 13:02:50 systemd[1]: Stopped udev Kernel Device Manager.
[...]

So the main problem here may be that selinux-policy
(3.14.4-8.fc31.noarch) lacks some mitigation for:

> AVC avc:  denied  { mounton } for  pid=850 comm="(md-udevd)" path="/run/systemd/unit-root/proc/sys/kernel/domainname" dev="proc" ino=19582 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysct>

?

All in all, downgrading back to systemd-241-4.gitcbf14c9.fc31.x86_64
fixed the problem for me.

Comment 1 Andre Robatino 2019-04-09 15:34:29 UTC
With all 20190409 updates (including the same systemd version as before, 242~rc3-1.fc31), my network works again. Yesterday, I had to downgrade systemd to get the network back, (which I'm guessing is related to this bug).

Comment 2 Jan Pokorný [poki] 2019-04-09 18:05:42 UTC
See [bug 1697667] for selinux-policy, likely relevant here.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-04-10 21:38:31 UTC
Yes, this seems to be the same or very similar to 1697667. Please check if the update for 1697667 also fixed your issue.

> 2 warning: %triggerin(systemd-udev-242~rc3-1.fc31.x86_64) scriptlet failed, exit status 1

This scriptlet just calls udevadm control --reload, so the report you get is most likely caused
by udevd not running. There's also a bug open about this: #1698391.
I just pushed a change to systemd.spec to silence those errors.

Comment 4 Zbigniew Jędrzejewski-Szmek 2019-04-11 14:06:41 UTC
*** Bug 1697290 has been marked as a duplicate of this bug. ***

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-08-05 20:11:52 UTC
I think this should be fixed now. If the problem still occurs, please reopen.


Note You need to log in before you can comment on or make changes to this bug.